﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FlexGridIntro.Models;
using C1.Web.Mvc;
using Newtonsoft.Json.Linq;
using C1.Web.Mvc.Serialization;

namespace FlexGridIntro.Controllers
{
    public class HomeController : Controller
    {
        public static List<Person> Persons = SampleData.GetData().ToList();
        public ActionResult Index()
        {
            return View(Persons);
        }

        public ActionResult ExportPDF()
        {
            try
            {
                return File(Server.MapPath("~/Files/LearnMvcClient.pdf"), "application/pdf");
            }
            catch (Exception e) {
                return Content(e.Message);
            }
        }
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}